%define name	gtk-themes 
%define version 1.0
%define release 10mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Summary:	Themes for GTK
Group:		Graphical desktop/Other

Source0:	gtk-themes.tar.bz2
Source1:	gtk-themes-kde-descriptions.tar.bz2
Patch0:		BlueIce.patch.bz2

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	gtk+, gtk-engines
BuildArchitectures: noarch
URL:		http://gtk.themes.org/

%description
This package contains some nice themes for GTK

%prep

%build

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_datadir}/themes/
cd %{buildroot}%{_datadir}/themes/
bzcat %{SOURCE0} | tar xv
# patch to fix BlueIce theme
bzcat %{PATCH0} | patch -p0
find -name ".*.sw?" | xargs rm -f

#mkdir -p %{buildroot}%_datadir/apps/kstyle/themes
#cd %{buildroot}%_datadir/apps/kstyle/themes
#bzcat %SOURCE1 | tar xv


%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files
%defattr (-,root,root,-)
%_datadir/themes/*
#%_datadir/apps/kstyle/themes/*

%changelog
* Mon Apr 07 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0-10mdk
- remove temporary vi files (fix #3686)
- s/copyright/license/
- misc rpmlint fixes

* Thu Jun 06 2002 Vincent Danen <vdanen@mandrakesoft.com> 1.0-9mdk
- remove some messy backup files in the Eazel-blue theme (re:
  siegel@informatik.uni-kl.de)
- some macros

* Thu Apr 05 2001 Vincent Danen <vdanen@mandrakesoft.com> 1.0-8mdk
- remove some themes to reduce size

* Wed Apr 04 2001 Vincent Danen <vdanen@mandrakesoft.com> 1.0-7mdk
- fix problem in BlueIce theme that causes Nautilus to crash

* Sat Nov 04 2000 Vincent Danen <vdanen@mandrakesoft.com> 1.0-6mdk
- remove ThinIce theme since it is now included in gtk-engines

* Fri Oct 06 2000 David BAUDENS <baudens@mandrakesoft.com> 1.0-5mdk
- Remove descriptions for KDE (support for GTK themes is too unstable)

* Thu Oct 05 2000 David BAUDENS <baudens@mandrakesoft.com> 1.0-4mdk
- Clean up
- Add descriptions for KDE

* Mon Aug 21 2000 DindinX <odin@mandrakesoft.com> 1.0-3mdk
- BM
- removed the themes which conflicted with gtk-engines

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0-2mdk
- automatically added BuildRequires

* Wed May 10 2000 David BAUDENS <baudens@mandrakesoft.com> 1.0-1mdk
- First spec for Linux-Mandrake distribution
